package cn.superdesk.uniorder.dao.entity.sys;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class SysConfigExample {
    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    protected String orderByClause;

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    protected boolean distinct;

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    protected List<Criteria> oredCriteria;

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    public SysConfigExample() {
        oredCriteria = new ArrayList<>();
    }

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andCodeIsNull() {
            addCriterion("code is null");
            return (Criteria) this;
        }

        public Criteria andCodeIsNotNull() {
            addCriterion("code is not null");
            return (Criteria) this;
        }

        public Criteria andCodeEqualTo(String value) {
            addCriterion("code =", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotEqualTo(String value) {
            addCriterion("code <>", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeGreaterThan(String value) {
            addCriterion("code >", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeGreaterThanOrEqualTo(String value) {
            addCriterion("code >=", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLessThan(String value) {
            addCriterion("code <", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLessThanOrEqualTo(String value) {
            addCriterion("code <=", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLike(String value) {
            addCriterion("code like", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotLike(String value) {
            addCriterion("code not like", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeIn(List<String> values) {
            addCriterion("code in", values, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotIn(List<String> values) {
            addCriterion("code not in", values, "code");
            return (Criteria) this;
        }

        public Criteria andCodeBetween(String value1, String value2) {
            addCriterion("code between", value1, value2, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotBetween(String value1, String value2) {
            addCriterion("code not between", value1, value2, "code");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNull() {
            addCriterion("description is null");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNotNull() {
            addCriterion("description is not null");
            return (Criteria) this;
        }

        public Criteria andDescriptionEqualTo(String value) {
            addCriterion("description =", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotEqualTo(String value) {
            addCriterion("description <>", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThan(String value) {
            addCriterion("description >", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThanOrEqualTo(String value) {
            addCriterion("description >=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThan(String value) {
            addCriterion("description <", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThanOrEqualTo(String value) {
            addCriterion("description <=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLike(String value) {
            addCriterion("description like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotLike(String value) {
            addCriterion("description not like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionIn(List<String> values) {
            addCriterion("description in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotIn(List<String> values) {
            addCriterion("description not in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionBetween(String value1, String value2) {
            addCriterion("description between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotBetween(String value1, String value2) {
            addCriterion("description not between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andValueDateIsNull() {
            addCriterion("value_date is null");
            return (Criteria) this;
        }

        public Criteria andValueDateIsNotNull() {
            addCriterion("value_date is not null");
            return (Criteria) this;
        }

        public Criteria andValueDateEqualTo(Date value) {
            addCriterion("value_date =", value, "valueDate");
            return (Criteria) this;
        }

        public Criteria andValueDateNotEqualTo(Date value) {
            addCriterion("value_date <>", value, "valueDate");
            return (Criteria) this;
        }

        public Criteria andValueDateGreaterThan(Date value) {
            addCriterion("value_date >", value, "valueDate");
            return (Criteria) this;
        }

        public Criteria andValueDateGreaterThanOrEqualTo(Date value) {
            addCriterion("value_date >=", value, "valueDate");
            return (Criteria) this;
        }

        public Criteria andValueDateLessThan(Date value) {
            addCriterion("value_date <", value, "valueDate");
            return (Criteria) this;
        }

        public Criteria andValueDateLessThanOrEqualTo(Date value) {
            addCriterion("value_date <=", value, "valueDate");
            return (Criteria) this;
        }

        public Criteria andValueDateIn(List<Date> values) {
            addCriterion("value_date in", values, "valueDate");
            return (Criteria) this;
        }

        public Criteria andValueDateNotIn(List<Date> values) {
            addCriterion("value_date not in", values, "valueDate");
            return (Criteria) this;
        }

        public Criteria andValueDateBetween(Date value1, Date value2) {
            addCriterion("value_date between", value1, value2, "valueDate");
            return (Criteria) this;
        }

        public Criteria andValueDateNotBetween(Date value1, Date value2) {
            addCriterion("value_date not between", value1, value2, "valueDate");
            return (Criteria) this;
        }

        public Criteria andValueIntIsNull() {
            addCriterion("value_int is null");
            return (Criteria) this;
        }

        public Criteria andValueIntIsNotNull() {
            addCriterion("value_int is not null");
            return (Criteria) this;
        }

        public Criteria andValueIntEqualTo(Integer value) {
            addCriterion("value_int =", value, "valueInt");
            return (Criteria) this;
        }

        public Criteria andValueIntNotEqualTo(Integer value) {
            addCriterion("value_int <>", value, "valueInt");
            return (Criteria) this;
        }

        public Criteria andValueIntGreaterThan(Integer value) {
            addCriterion("value_int >", value, "valueInt");
            return (Criteria) this;
        }

        public Criteria andValueIntGreaterThanOrEqualTo(Integer value) {
            addCriterion("value_int >=", value, "valueInt");
            return (Criteria) this;
        }

        public Criteria andValueIntLessThan(Integer value) {
            addCriterion("value_int <", value, "valueInt");
            return (Criteria) this;
        }

        public Criteria andValueIntLessThanOrEqualTo(Integer value) {
            addCriterion("value_int <=", value, "valueInt");
            return (Criteria) this;
        }

        public Criteria andValueIntIn(List<Integer> values) {
            addCriterion("value_int in", values, "valueInt");
            return (Criteria) this;
        }

        public Criteria andValueIntNotIn(List<Integer> values) {
            addCriterion("value_int not in", values, "valueInt");
            return (Criteria) this;
        }

        public Criteria andValueIntBetween(Integer value1, Integer value2) {
            addCriterion("value_int between", value1, value2, "valueInt");
            return (Criteria) this;
        }

        public Criteria andValueIntNotBetween(Integer value1, Integer value2) {
            addCriterion("value_int not between", value1, value2, "valueInt");
            return (Criteria) this;
        }

        public Criteria andValueStr1IsNull() {
            addCriterion("value_str1 is null");
            return (Criteria) this;
        }

        public Criteria andValueStr1IsNotNull() {
            addCriterion("value_str1 is not null");
            return (Criteria) this;
        }

        public Criteria andValueStr1EqualTo(String value) {
            addCriterion("value_str1 =", value, "valueStr1");
            return (Criteria) this;
        }

        public Criteria andValueStr1NotEqualTo(String value) {
            addCriterion("value_str1 <>", value, "valueStr1");
            return (Criteria) this;
        }

        public Criteria andValueStr1GreaterThan(String value) {
            addCriterion("value_str1 >", value, "valueStr1");
            return (Criteria) this;
        }

        public Criteria andValueStr1GreaterThanOrEqualTo(String value) {
            addCriterion("value_str1 >=", value, "valueStr1");
            return (Criteria) this;
        }

        public Criteria andValueStr1LessThan(String value) {
            addCriterion("value_str1 <", value, "valueStr1");
            return (Criteria) this;
        }

        public Criteria andValueStr1LessThanOrEqualTo(String value) {
            addCriterion("value_str1 <=", value, "valueStr1");
            return (Criteria) this;
        }

        public Criteria andValueStr1Like(String value) {
            addCriterion("value_str1 like", value, "valueStr1");
            return (Criteria) this;
        }

        public Criteria andValueStr1NotLike(String value) {
            addCriterion("value_str1 not like", value, "valueStr1");
            return (Criteria) this;
        }

        public Criteria andValueStr1In(List<String> values) {
            addCriterion("value_str1 in", values, "valueStr1");
            return (Criteria) this;
        }

        public Criteria andValueStr1NotIn(List<String> values) {
            addCriterion("value_str1 not in", values, "valueStr1");
            return (Criteria) this;
        }

        public Criteria andValueStr1Between(String value1, String value2) {
            addCriterion("value_str1 between", value1, value2, "valueStr1");
            return (Criteria) this;
        }

        public Criteria andValueStr1NotBetween(String value1, String value2) {
            addCriterion("value_str1 not between", value1, value2, "valueStr1");
            return (Criteria) this;
        }

        public Criteria andValueStr2IsNull() {
            addCriterion("value_str2 is null");
            return (Criteria) this;
        }

        public Criteria andValueStr2IsNotNull() {
            addCriterion("value_str2 is not null");
            return (Criteria) this;
        }

        public Criteria andValueStr2EqualTo(String value) {
            addCriterion("value_str2 =", value, "valueStr2");
            return (Criteria) this;
        }

        public Criteria andValueStr2NotEqualTo(String value) {
            addCriterion("value_str2 <>", value, "valueStr2");
            return (Criteria) this;
        }

        public Criteria andValueStr2GreaterThan(String value) {
            addCriterion("value_str2 >", value, "valueStr2");
            return (Criteria) this;
        }

        public Criteria andValueStr2GreaterThanOrEqualTo(String value) {
            addCriterion("value_str2 >=", value, "valueStr2");
            return (Criteria) this;
        }

        public Criteria andValueStr2LessThan(String value) {
            addCriterion("value_str2 <", value, "valueStr2");
            return (Criteria) this;
        }

        public Criteria andValueStr2LessThanOrEqualTo(String value) {
            addCriterion("value_str2 <=", value, "valueStr2");
            return (Criteria) this;
        }

        public Criteria andValueStr2Like(String value) {
            addCriterion("value_str2 like", value, "valueStr2");
            return (Criteria) this;
        }

        public Criteria andValueStr2NotLike(String value) {
            addCriterion("value_str2 not like", value, "valueStr2");
            return (Criteria) this;
        }

        public Criteria andValueStr2In(List<String> values) {
            addCriterion("value_str2 in", values, "valueStr2");
            return (Criteria) this;
        }

        public Criteria andValueStr2NotIn(List<String> values) {
            addCriterion("value_str2 not in", values, "valueStr2");
            return (Criteria) this;
        }

        public Criteria andValueStr2Between(String value1, String value2) {
            addCriterion("value_str2 between", value1, value2, "valueStr2");
            return (Criteria) this;
        }

        public Criteria andValueStr2NotBetween(String value1, String value2) {
            addCriterion("value_str2 not between", value1, value2, "valueStr2");
            return (Criteria) this;
        }

        public Criteria andValueStr3IsNull() {
            addCriterion("value_str3 is null");
            return (Criteria) this;
        }

        public Criteria andValueStr3IsNotNull() {
            addCriterion("value_str3 is not null");
            return (Criteria) this;
        }

        public Criteria andValueStr3EqualTo(String value) {
            addCriterion("value_str3 =", value, "valueStr3");
            return (Criteria) this;
        }

        public Criteria andValueStr3NotEqualTo(String value) {
            addCriterion("value_str3 <>", value, "valueStr3");
            return (Criteria) this;
        }

        public Criteria andValueStr3GreaterThan(String value) {
            addCriterion("value_str3 >", value, "valueStr3");
            return (Criteria) this;
        }

        public Criteria andValueStr3GreaterThanOrEqualTo(String value) {
            addCriterion("value_str3 >=", value, "valueStr3");
            return (Criteria) this;
        }

        public Criteria andValueStr3LessThan(String value) {
            addCriterion("value_str3 <", value, "valueStr3");
            return (Criteria) this;
        }

        public Criteria andValueStr3LessThanOrEqualTo(String value) {
            addCriterion("value_str3 <=", value, "valueStr3");
            return (Criteria) this;
        }

        public Criteria andValueStr3Like(String value) {
            addCriterion("value_str3 like", value, "valueStr3");
            return (Criteria) this;
        }

        public Criteria andValueStr3NotLike(String value) {
            addCriterion("value_str3 not like", value, "valueStr3");
            return (Criteria) this;
        }

        public Criteria andValueStr3In(List<String> values) {
            addCriterion("value_str3 in", values, "valueStr3");
            return (Criteria) this;
        }

        public Criteria andValueStr3NotIn(List<String> values) {
            addCriterion("value_str3 not in", values, "valueStr3");
            return (Criteria) this;
        }

        public Criteria andValueStr3Between(String value1, String value2) {
            addCriterion("value_str3 between", value1, value2, "valueStr3");
            return (Criteria) this;
        }

        public Criteria andValueStr3NotBetween(String value1, String value2) {
            addCriterion("value_str3 not between", value1, value2, "valueStr3");
            return (Criteria) this;
        }

        public Criteria andValueDoubleIsNull() {
            addCriterion("value_double is null");
            return (Criteria) this;
        }

        public Criteria andValueDoubleIsNotNull() {
            addCriterion("value_double is not null");
            return (Criteria) this;
        }

        public Criteria andValueDoubleEqualTo(BigDecimal value) {
            addCriterion("value_double =", value, "valueDouble");
            return (Criteria) this;
        }

        public Criteria andValueDoubleNotEqualTo(BigDecimal value) {
            addCriterion("value_double <>", value, "valueDouble");
            return (Criteria) this;
        }

        public Criteria andValueDoubleGreaterThan(BigDecimal value) {
            addCriterion("value_double >", value, "valueDouble");
            return (Criteria) this;
        }

        public Criteria andValueDoubleGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("value_double >=", value, "valueDouble");
            return (Criteria) this;
        }

        public Criteria andValueDoubleLessThan(BigDecimal value) {
            addCriterion("value_double <", value, "valueDouble");
            return (Criteria) this;
        }

        public Criteria andValueDoubleLessThanOrEqualTo(BigDecimal value) {
            addCriterion("value_double <=", value, "valueDouble");
            return (Criteria) this;
        }

        public Criteria andValueDoubleIn(List<BigDecimal> values) {
            addCriterion("value_double in", values, "valueDouble");
            return (Criteria) this;
        }

        public Criteria andValueDoubleNotIn(List<BigDecimal> values) {
            addCriterion("value_double not in", values, "valueDouble");
            return (Criteria) this;
        }

        public Criteria andValueDoubleBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("value_double between", value1, value2, "valueDouble");
            return (Criteria) this;
        }

        public Criteria andValueDoubleNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("value_double not between", value1, value2, "valueDouble");
            return (Criteria) this;
        }
    }

    /**
     *
     * table sys_config
     *
     * do_not_delete_during_merge Mon Dec 07 10:29:57 CST 2020
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
     *
     * table sys_config
     *
     * Mon Dec 07 10:29:57 CST 2020
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}